﻿#bannerprincipal img {
    max-width: 1920px;
    max-height: 578px;
    width: 100%;
    height: 100%;
    margin: 0 auto;
    display: block;
}

.icono-categoria {
    margin: 0 auto;
    border: 1px solid black;
    border-radius: 50%;
    width: 83px;
    height: 83px;
    overflow: hidden;

}
.icono-categoria img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
    .icono-categoria ~ span {
        display: block;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        width: 100%;
    }

.contenedor-icono-categoria {
    margin: 15px 0 10px 0;
    height: 110px;
    width: 120px;
    text-align: center;
    overflow: hidden;
}

#seccion-banners {
    display: grid;
    width: 100%;
    column-gap: 8px;
    row-gap: 8px;
}

    #seccion-banners img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }



#banner1 {
    max-width: 604px;
    max-height: 597px;
    width: 100%;
    height: 100%;
    grid-column: 1/5;
    grid-row: 1/3;
}

#banner2 {
    max-width: 498px;
    max-height: 255px;
    width: 100%;
    height: 100%;
    grid-column: 5/9;
    grid-row: 1/2;
}

#banner3 {
    max-width: 498px;
    max-height: 334px;
    width: 100%;
    height: 100%;
    grid-column: 5/9;
    grid-row: 2/3;
}

#banner4 {
    max-width: 359px;
    max-height: 597px;
    width: 100%;
    height: 100%;
    grid-column: 9/12;
    grid-row: 1/3;
}

#banner5 {
    max-width: 1478px;
    max-height: 76px;
    width: 100%;
    height: 100%;
    grid-column: 1/12;
    grid-row: 3;
}
@media (min-width: 1530px) {
    #banner1 {
        height: 597px;
    }
    #banner3 {
        height: 334px;
    }
    #banner5 {
        width: 1478px;
        height: 76px;
    }
}
#mas-buscados h3 {
    margin: 0;
}

.swiper {
    width: 484px;
    height: 144px;
}

.contenedor-carousel {
    height: 180px;
    width: 100%;
    padding: 0 30px 40px 30px;
    position: relative;
}

.contenido-carousel {
    display: flex;
    flex-wrap: nowrap;
}

.item-carousel {
    display: flex;
    max-width: 530px;
    margin: 0 auto;
    width: 100%;
    height: 144px;
    border: 1px solid white;
    position: relative;
    overflow: hidden;
}

    .item-carousel img {
        width: 100%;
        height: 144px;
    }

.swiper-button-prev,
.swiper-button-next {
    position: absolute;
    top: 50%;
    transform: translateY(-45%);
    z-index: 10;
    height: 142px;
}

.swiper-button-prev {
    left: -1px;
}

.swiper-button-next {
    right: -1px;
}

.swiper-pagination-bullet-active {
    background: var(--color_secundario) !important;
}

.swiper-slide-carousel {
    position: relative;
}

.item-carousel div:first-of-type {
    width: 100%;
    height: 100%;
    background-color: transparent;
}

.swiper-slide-carousel:hover {
    cursor: pointer;
}

.titulo-slide-carousel {
    height: 100%;
    align-content: center;
    z-index: 1;
    position: absolute;
    top: 0;
    padding: 35px 40px;
    font-weight: bold;
    color: white;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 1);
    font-size: calc(150%);
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.swiper-wrapper-mas-buscados,
.swiper-wrapper-nuevos-productos {
    height: 390px;
}

.carousel-item img {
    width: 1920px;
    object-fit: cover;
}

.swiper-iconos-categoria {
    overflow: hidden;
    width: 95%;
    margin: 0 auto;
}

.carousel-indicators {
    list-style: none;
}
